Name:       kdevelop-qmljs
Version:    1.7.0
Release:    1%{?dist}
License:    GPLv2
Source0:    http://download.kde.org/stable/kdevelop/kdev-qmljs/%{version}/src/kdev-qmljs-%{version}.tar.xz

Summary:    QML and JavaScript Plugin for KDevelop
URL:        http://kdevelop.org

Requires:       kdevelop

BuildRequires:  kdevplatform-devel
BuildRequires:  kdevelop-devel 
BuildRequires:  kdevelop-pg-qt-devel
BuildRequires:  qjson-devel
BuildRequires:  gettext

%description
QML and JavaScript language support for KDevelop Integrated Development
Environment.

%prep
%setup -qn kdev-qmljs-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%find_lang kdevqmljssupport

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f kdevqmljssupport.lang
%doc COPYING
%{_kde4_libdir}/kde4/kdevqmljslanguagesupport.so
%{_kde4_libdir}/libkdevqmljscompletion.so
%{_kde4_libdir}/libkdevqmljsduchain.so
%{_kde4_libdir}/libkdevqtc-qmlsupport.so
%{_kde4_appsdir}/propertywidgets/README
%{_kde4_appsdir}/propertywidgets/*.qml
%{_kde4_appsdir}/kdevqmljssupport
%{_kde4_datadir}/kde4/services/kdevqmljssupport.desktop


%changelog
* Tue Dec 02 2014 Radek Novacek <rnovacek@redhat.com> - 1.7.0-1
- Initial package

